Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.biome
Class BiomeCache

    java.lang.Object
      net.minecraft.world.biome.BiomeCache

    public class BiomeCache

extends Object

Constructor Summary
`BiomeCache(WorldChunkManager par1WorldChunkManager)`

Method Summary
`void` | `cleanupCache()` Removes BiomeCacheBlocks from this cache that haven't been accessed in at least 30 seconds.
`BiomeCacheBlock` | `getBiomeCacheBlock(int par1, int par2)` Returns a biome cache block at location specified.
`BiomeGenBase` | `getBiomeGenAt(int par1, int par2)` Returns the BiomeGenBase related to the x, z position from the cache.
`BiomeGenBase[]` | `getCachedBiomes(int par1, int par2)` Returns the array of cached biome types in the BiomeCacheBlock at the given location.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiomeCache

    public BiomeCache(WorldChunkManager par1WorldChunkManager)

Method Detail

### getBiomeCacheBlock

    public BiomeCacheBlock getBiomeCacheBlock(int par1,
                                              int par2)

  Returns a biome cache block at location specified.

### getBiomeGenAt

    public BiomeGenBase getBiomeGenAt(int par1,
                                      int par2)

  Returns the BiomeGenBase related to the x, z position from the cache.

### cleanupCache

    public void cleanupCache()

  Removes BiomeCacheBlocks from this cache that haven't been accessed in at least 30 seconds.

### getCachedBiomes

    public BiomeGenBase[] getCachedBiomes(int par1,
                                          int par2)

  Returns the array of cached biome types in the BiomeCacheBlock at the given location.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD